Retrieve subscription status

Retrieve a user's subscription status.

Provides information about whether a user has access to streaming services and at what date does the access expire. If expiryDate is in the future then user has access to stream.

 \ Example request

GET https://api.7digital.com/1.2/user/unlimitedStreaming?country=GB&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...

 \ Example Response

{
    "streaming": {
        "level": "premium",
        "expiryDate": "2021-07-07T10:50:17Z"
    }
}

 \ Specific Error Codes

📘

Specific error codes:

  • 2001 - Resource not found. The user was not found.
Query Params
string
required

The unique identifier of the user. For information on creating users click here.

string
required

ISO 2-character country code. The location of the user.

Language
LoadingLoading…